#define _smp_ncpus_max 4

%define	major		2
%define libname		%mklibname portaudio %{major}
%define develname	%mklibname portaudio -d

%define cppmajor	0
%define libcpp		%mklibname %{name}cpp %{cppmajor}



Summary:	Cross platform audio I/O library
Name:		portaudio
Version:	20.0.1
Release:	%mkrel 4
Group:		System/Libraries
License:	BSD
URL:		http://www.portaudio.com/
Source0:	http://files.portaudio.com/archives/pa_stable_v190700_20210406.tgz
Patch0:		portaudio-parallel-build.patch
Patch1:		portaudio-doxynodate.patch
Patch2:		portaudio-pkgconfig-alsa.patch
Patch3:		debian-20161225-audacity-portmixer.patch
Patch4:		portaudio-autoconf.patch

BuildRequires:	pkgconfig
BuildRequires:  lib64samplerate-devel
BuildRequires:  lib64celt-devel
BuildRequires:  lib64jack-devel
BuildRequires:  lib64alsa2-devel
  
%description
PortAudio is a free, cross platform, open-source, audio I/O
library. It lets you write simple audio programs in 'C' that will
compile and run on many platforms including Windows, Macintosh
(8,9,X), Unix (OSS), SGI, and BeOS. PortAudio is intended to
promote the exchange of audio synthesis software between
developers on different platforms, and was recently selected as
the audio component of a larger PortMusic project that includes
MIDI and sound file support.

PortAudio provides a very simple API for recording and/or playing
sound using a simple callback function. Example programs are
included that synthesize sine waves and pink noise, perform fuzz
distortion on a guitar, list available audio devices, etc.

%package -n	%{libname}
Summary:	Cross platform audio I/O library
Group:		System/Libraries
Requires:   %{libcpp}

%description -n	%{libname}
PortAudio is a free, cross platform, open-source, audio I/O
library. It lets you write simple audio programs in 'C' that will
compile and run on many platforms including Windows, Macintosh
(8,9,X), Unix (OSS), SGI, and BeOS. PortAudio is intended to
promote the exchange of audio synthesis software between
developers on different platforms, and was recently selected as
the audio component of a larger PortMusic project that includes
MIDI and sound file support.

PortAudio provides a very simple API for recording and/or playing
sound using a simple callback function. Example programs are
included that synthesize sine waves and pink noise, perform fuzz
distortion on a guitar, list available audio devices, etc.

%package -n	%{libcpp}
Summary:	Cross platform audio I/O library
Group:		System/Libraries

%description -n	%{libcpp}
PortAudio is a free, cross platform, open-source, audio I/O
library. It lets you write simple audio programs in 'C' that will
compile and run on many platforms including Windows, Macintosh
(8,9,X), Unix (OSS), SGI, and BeOS. PortAudio is intended to
promote the exchange of audio synthesis software between
developers on different platforms, and was recently selected as
the audio component of a larger PortMusic project that includes
MIDI and sound file support.

PortAudio provides a very simple API for recording and/or playing
sound using a simple callback function. Example programs are
included that synthesize sine waves and pink noise, perform fuzz
distortion on a guitar, list available audio devices, etc

%package -n	%{develname}
Summary:	Static library and header files for the PortAudio library
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}cpp-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libcpp} = %{version}-%{release}

%description -n	%{develname}
PortAudio is a free, cross platform, open-source, audio I/O
library. It lets you write simple audio programs in 'C' that will
compile and run on many platforms including Windows, Macintosh
(8,9,X), Unix (OSS), SGI, and BeOS. PortAudio is intended to
promote the exchange of audio synthesis software between
developers on different platforms, and was recently selected as
the audio component of a larger PortMusic project that includes
MIDI and sound file support.

PortAudio provides a very simple API for recording and/or playing
sound using a simple callback function. Example programs are
included that synthesize sine waves and pink noise, perform fuzz
distortion on a guitar, list available audio devices, etc.

This package contains the static PortAudio library and its header
files.

%prep
%setup -q -n %{name}
%apply_patches

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644
chmod 755 configure bindings/cpp/configure

# strip away annoying ^M
find . -type f | xargs perl -p -i -e 's/\r//'

%build
# Needed for patch3
autoreconf -fiv

# fix cxx lib overlinking issue
pushd bindings/cpp
	autoreconf -fiv
popd

%configure2_5x \
	--disable-static \
	--enable-cxx \
	--with-alsa \
	--with-jack
%make_build

%install
rm -rf %buildroot
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{libcpp}
%{_libdir}/lib%{name}cpp.so.%{cppmajor}
%{_libdir}/lib%{name}cpp.so.%{cppmajor}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}cpp.so
%{_libdir}/pkgconfig/portaudio-*.pc
%{_libdir}/pkgconfig/portaudiocpp.pc


%changelog
* Sat May 29 2021 tex - 20.0.1-4pclos2021
- rebuild against updates

* Fri May 28 2021 tex - 20.0.1-3pclos2021
- back down to 19.7.0
